curl --request POST \
--url https://apidjonanko.tech/web-merchant/payout-accounts \
--header 'Content-Type: application/json' \
--header 'authenticationtoken: <api-key>' \
--data '
{
"merchant_reference": "beautyshop",
"type": "wave"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "orange",
"isPrimary": true,
"phoneNumber": "+2250700000000",
"country": "CI",
"beneficiaryName": "<string>",
"bankId": "<string>",
"bankName": "<string>",
"bankCode": "<string>",
"branchCode": "<string>",
"accountNumber": "<string>",
"ribKey": "<string>",
"swiftCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 401,
"message": "Invalid API credentials",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "Invalid API credentials",
"error": "Unauthorized"
}Ajouter un compte de reversement
Ajoute un compte mobile money (orange, moov, mtn, wave) ou bancaire (bank).
Les champs requis dépendent du type.
curl --request POST \
--url https://apidjonanko.tech/web-merchant/payout-accounts \
--header 'Content-Type: application/json' \
--header 'authenticationtoken: <api-key>' \
--data '
{
"merchant_reference": "beautyshop",
"type": "wave"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "orange",
"isPrimary": true,
"phoneNumber": "+2250700000000",
"country": "CI",
"beneficiaryName": "<string>",
"bankId": "<string>",
"bankName": "<string>",
"bankCode": "<string>",
"branchCode": "<string>",
"accountNumber": "<string>",
"ribKey": "<string>",
"swiftCode": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 401,
"message": "Invalid API credentials",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "Invalid API credentials",
"error": "Unauthorized"
}Authorizations
JWT obtenu via POST /user/login-merchant. À passer tel quel, sans préfixe Bearer.
Body
"beautyshop"
orange, moov, mtn, wave, bank Définir ce compte comme moyen principal de reversement.
true
Mobile money uniquement. Numéro qui recevra les fonds.
"+2250700000000"
Mobile money uniquement. Code pays (CI, BF, ML, CM).
"CI"
Banque uniquement. Nom du titulaire du compte.
"SARL Beauty Shop"
Banque uniquement. Identifiant de la banque, obtenu via GET /banks/active.
Banque uniquement. Code agence.
"01001"
Banque uniquement. Numéro de compte.
"012345678901"
Banque uniquement. Clé RIB.
"45"
Banque uniquement. Code SWIFT / BIC, 8 ou 11 caractères.
^[A-Z0-9]{8}([A-Z0-9]{3})?$"SGBCCIABXXX"
Response
Compte créé.
orange, moov, mtn, wave, bank Le compte principal reçoit par défaut toutes les demandes de reversement.
"+2250700000000"
"CI"
